Skip to content

Search product attributes

Request

Search the HG product attribute catalog with filtering and pagination.

Security
authorization
Bodyapplication/json

Attribute search parameters

filtersobject

Filter criteria for attribute search. All filters are optional and AND-combined.

Example:
{ "attribute_ids": [ 891, 387 ], "attribute_name": "Cloud Computing" }
include_product_countboolean

Whether to include product count in results

Default:true
limitinteger, [ 1 .. 100 ]

Maximum number of attributes to return

Default:50
offsetinteger, >= 0

Number of attributes to skip

Default:0
sortArray of objects

List of sort objects

Default:[]
POST
/data-api/v2/products/attributes/search
curl -i -X POST \
  https://api.hginsights.com/data-api/v2/products/attributes/search \
  -H 'Authorization: Bearer <YOUR_API_KEY_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "filters": {
      "attribute_ids": [
        891,
        387
      ],
      "attribute_name": "Cloud Computing"
    },
    "include_product_count": true,
    "limit": 50,
    "offset": 0,
    "sort": []
  }'

Responses

Attribute search results

Bodyapplication/json
attributesArray of objects

Matching attributes

Example:
[ { "attribute_description": "Cloud Computing refers to the delivery of computing services (hardware and software) via public, private, or hybrid cloud environments.", "attribute_id": 891, "attribute_level": 1, "attribute_name": "Cloud Computing", "attribute_parent_id": 0, "product_count": 959 } ]
countinteger

Total number of matching attributes

Example:1
Response
{ "attributes": [ {} ], "count": 1 }